petsc-3.10.5 2019-03-28
Report Typos and Errors

# KSPSetOptionsPrefix

Sets the prefix used for searching for all KSP options in the database.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode  KSPSetOptionsPrefix(KSP ksp,const char prefix[])

Logically Collective on KSP

### Input Parameters

| ksp | - the Krylov context
| prefix | - the prefix string to prepend to all KSP option requests

### Notes

A hyphen (-) must NOT be given at the beginning of the prefix name. The first character of all runtime options is AUTOMATICALLY the hyphen.

For example, to distinguish between the runtime options for two different KSP contexts, one could call

          KSPSetOptionsPrefix(ksp1,"sys1_")
          KSPSetOptionsPrefix(ksp2,"sys2_")

This would enable use of different options for each system, such as

          -sys1_ksp_type gmres -sys1_ksp_rtol 1.e-3
          -sys2_ksp_type bcgs  -sys2_ksp_rtol 1.e-4

### Keywords

KSP, set, options, prefix, database

### See Also

KSPAppendOptionsPrefix(), KSPGetOptionsPrefix()

### Level

advanced

### Location

src/ksp/ksp/interface/itcl.c

### Examples

src/ksp/ksp/examples/tutorials/ex42.c.html
src/ksp/ksp/examples/tutorials/ex43.c.html
src/ksp/ksp/examples/tutorials/ex49.c.html
src/ksp/ksp/examples/tutorials/ex70.c.html
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages